﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace LogsPlugin.Model
{
    public partial class DbLog
    {
        public static void AddLog(DbLog log)
        {
            LogDbContextHelper.Context.DbLog.InsertOnSubmit(log);
            LogDbContextHelper.Context.SubmitChanges();
        }

        public static List<DbLog> GetLogs()
        {
            var logs = from log in LogDbContextHelper.Context.DbLog select log;
            return logs.ToList<DbLog>();
        }
    }
}
