﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.IO;

namespace LogsPlugin.Model
{
    public class LogDbContextHelper
    {
        public static DbLogClassesDataContext Context { get;  private set; }

        static LogDbContextHelper()
        {
            var dbFile =  Path.Combine(Activator.Context.Bundle.Location, @"App_Data\DbLog.mdf");
            var connString = string.Format(@"Data Source=.\SQLEXPRESS;AttachDbFilename={0};Integrated Security=True;User Instance=True", dbFile);
            Context = new DbLogClassesDataContext(connString);
        }
    }
}
