﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using LogsPlugin.Model;

namespace LogsPlugin.Service
{
    public class DbLogService : IDbLogService
    {
        public void LogCreate(string msg)
        {
            Log("Create", msg);
        }

        public void LogUpdate(string msg)
        {
            Log("Update", msg);
        }

        public void LogDelete(string msg)
        {
            Log("Delete", msg);
        }

        private void Log(string action, string message)
        {
            DbLog log = new DbLog { AccessUser = "Test", AccessDate = DateTime.Now, Action = action, Message = message };
            DbLog.AddLog(log);
        }
    }
}
