﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MoviesPlugin.Model;

namespace MoviesPlugin
{
    public partial class CreateNew : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void CreateNewButton_Click(object sender, EventArgs e)
        {
            // New Movie Entity.
            Movie movie = new Movie { Title = TitleTextBox.Text, 
                ReleaseDate = DateTime.Parse(ReleaseDateTextBox.Text), 
                Genre = GenreTextBox.Text, Rating = RatingTextBox.Text, 
                Price = float.Parse(PriceTextBox.Text) };
            // Add new.
            Movie.AddMovie(movie);
            // Log the db creation action message.
            if (Activator.DbLogService != null)
            {
                Activator.DbLogService.LogCreate("Create a new Movie record.");
            }
            // Show list.
            Server.Transfer("Default.aspx");
        }
    }
}
