﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace MoviesPlugin.Model
{
    /// <summary>
    /// Movie实体定义。
    /// </summary>
    public partial class Movie
    {
        public string Title { get; set; }
        public DateTime ReleaseDate { get; set; }
        public string Genre { get; set; }
        public string Rating { get; set; }
        public float Price { get; set; }
    }
    /// <summary>
    /// Movie实体Get和Add操作。
    /// </summary>
    public partial class Movie
    {
        private static List<Movie> _movies = new List<Movie>();

        static Movie()
        {
            _movies.Add(new Movie { Title = "Ghost", ReleaseDate = new DateTime(2008, 8, 9), Genre = "Unknow", Rating = "GT", Price = 10 });
            _movies.Add(new Movie { Title = "Ghost2", ReleaseDate = new DateTime(2010, 8, 9), Genre = "Unknow", Rating = "GT", Price = 10 });
        }

        public static List<Movie> GetMovieList()
        {
            return _movies;
        }

        public static void AddMovie(Movie movie)
        {
            _movies.Add(movie);
        }
    }
}
